@import "./_agentstates.less";
@import "bower_components/font-awesome/less/font-awesome.less";
@import (less) "bower_components/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css";
@import (less) "bower_components/isteven-angular-multiselect/isteven-multi-select.css";
@import "../coloragentstates.less";
@import "../xchelper/_dissuasion.less";
@import "../_variables.less";
@import "../_material-design-override.less";
@import "../login.less";

@font-face {
  font-family: FontAwesome;
  src:url(/assets/bower_components/font-awesome/fonts/fontawesome-webfont.woff2?v=4.6.3)
}

@font-face {
  font-family: Dyno;
  src: url(/assets/fonts/dyno-regular.ttf);
}

@font-face {
  font-family: DynoBold;
  src: url(/assets/fonts/dyno-bold.ttf);
}

@xivo-dark : #595959;
@orange:  #e67c39;

.container {
    width: 100%;
}
html, body {
    height:100%;
    background-image: linear-gradient(to bottom, #efefef, #fff 50%) !important;
}
body {
    padding-top: 50px;
}

body[state=login] > div {
    width: 410px;
}

#xivo-logo {
 height: 240px;
}

#footer {
  margin-top:15px;
  font-size: 12px;
  color: #959595;
}

table tfoot .footer{
  font-weight: bold;
}
.ng-invalid.ng-dirty {
    border-color: red;
}
.modal-open .ng-valid.ng-dirty {
    border-color: blue;
}
.logo {
    float: left;
    margin-top: 6px;
    width:85px;
    height:35px;
    margin-right: -15px;
    margin-left: -15px;
}
d3-queue svg {
    margin-left:5px;
    margin-right:5px;
}
ul,li {
    list-style-type: none;
    list-style-position:inside;
    margin:0;
    padding:0;
 }
.pagination {
    margin: 10px 0 0 15px;
}
.panel-body table:nth-child(even) {
    background-color : #F5F5F5;
 }

.ng-table th.sortable.sort-desc, .ng-table th.sortable.sort-asc {
    background-color: #f5f5f5;
}

.accordion-toggle {
    cursor: pointer;
}
.columntool {
    position: relative;
    cursor: pointer;
    top: 0px;
    left: 4px;
}
.selectcolbox {
    position: relative;
    left: 50px;
    min-width: 120px;
}

#agtView table tr > th:first-child, #agtView table tr > td:first-child  {
  width: 0;
}

.agentGroup {
    margin-top: 5px;
    border: 1px solid #C0C0C0;
    -moz-border-radius:5px 0;
    -webkit-border-radius:5px 0;
    border-radius:10px 0;
    box-shadow: 1px 2px 3px 0px #C0C0C0
 }
.expander {
    text-align: center;
    font-size: 0.8em;
    color: #2B2B2B;
    text-shadow: 0px 0px 7px #FFF;
    cursor: pointer;
    border-bottom: 2px solid #DDD;
    border-radius: 0px 0px 3px 3px;
    box-shadow: 3px 3px 6px 0px #A9A9A9;
}

.penalty {
    margin-top: 5px;
    margin-left: 30px;
    margin-right: 10px;
    padding-right: 10px;
    font-size: 12px;
    color : #A9A9A9;
    box-shadow: 3px 3px 6px 0px #A9A9A9;
}
.foldPenalty {
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 20px;
}
.group {
    margin-left: 5px;
}
.queueTable{
    table-layout: fixed;
    border-bottom: 1px solid #ddd;
}

.queueTable>tbody>tr>td {
    border-top: 0;
}

.queueTd {
    width:180px;
    padding: 0 2 0 0 !important;
    text-align: center;
 }

.queueTd-rotate-90 {
   white-space: pre;
   letter-spacing: 1px;
   -webkit-transform: rotate(270deg);
   -moz-transform: rotate(270deg);
   transform: rotate(270deg);
   transform-origin: right;
   writing-mode: lr-tb;

   .queueName{
       margin-left: -30px;
       float: left;
   }

   .foldPenalty {
       cursor: pointer;
       position: absolute;
       top: 0;
       left: 30px;
   }

   .recording-status {
      position: absolute;
      transform: rotate(90deg);
      top: 30px;
      right: -18px;
   }

   .recording-icon {
      right: -25px;
   }

}
.table-condensed>tbody>tr>td.queueTd-rotate-90{
   vertical-align: inherit;
   width: 20px;
}

.queue-selection {
    margin-bottom : 10px;
}
.queueSelect {
    margin-top : 0px;
    margin-bottom : 0px;
    height: 20px;
}
.queueName {
    padding: 0 0 0 0;
    margin-left : 10px;
    margin-right : 10px;
    text-align: center;
    font-size : 14px;

    a {
      color: #4B77BE;

      &:hover, &:focus {
        text-decoration: none;
        color: #ff5722;
      }
    }
}

.queueIndicator {
    fill: #4B77BE;
    stroke: white;
    stroke-width: 2;
    opacity:1;
}

.addAgent {
    cursor: pointer;
    padding-left: 3px;
}
.addGroups {
    cursor: pointer;
    padding-left: 3px;
}
.addAGroup {
    color: grey;
    cursor: pointer;
}
.addAGroup:Hover {
    background: #6C7A89;
    color : #D2D7D3;
}
table {
    margin-bottom:0px !important
}
.table-responsive {
    padding : 0 0 0 0 !important;
}
th.tableTitle, th.tableTitle.sortable.sort-desc, th.tableTitle.sortable.sort-asc {
    text-align: left !important;

    &.answered {
        background-color: @queue-answered;
    }
    &.abandonned {
        background-color: @queue-abandonned;
    }
    &.notanswered {
        background-color: lighten(@queue-notanswered,25%);
    }
    &.timeout {
        background-color: @queue-timeout;
    }

}

td.actionIcon .glyphicon{
    cursor: pointer;
}

td {  
 white-space: nowrap;
 overflow: hidden;
 text-overflow: ellipsis;
 }
 
.groups {
    margin-right : 20px;
}
.agent-table-group-data {
    font-weight: bold;
    background:#DFDDD9;
}
.agent-table-group-data td:first-child{
  white-space: nowrap;
  width: 0;
  float: left;
}
.Linkopened {
  color : green;
}
.Linkclosed {
  color : red;
}
.glyph-grey, .glyph-grey a {
  color: grey;
}
.glyph-white, .glyph-white a {
  color: white;
}
.glyphmenu {
    margin-right:2px;
}
tfoot.queueTotals {
    border-top: 2px solid;
    border-top-color: inherit;
}

.agent-trash {
    padding-top: 15px;
    text-align: right;
}
.agent-trash-compact {
    padding-top: 15px;
    text-align: right;
    position: relative;
    right: -10px;
    top: 0;
}
.agent-trash-compact .glyphicon-trash {
    position: relative;
    right: 0px;
}
.group-trash {
    padding-top: 15px;
    text-align: right;
}

.vertical-align {
    display: flex;
    align-items: center;
}
.AgentEditIcon {
    opacity:0.3;
    position:absolute;
    font-size:12px;
    top:2px;
    left:50px;
    color:white;
    cursor: pointer;
}
.AgentEditIcon:hover{
    opacity:1;
    color:white;
}
.AgentEditIconCompact {
    opacity:0.3;
    position:absolute;
    font-size:12px;
    top:4px;
    left:5px;
    color:white;
    cursor: pointer;
}
.AgentEditIconCompact:hover{
    opacity:1;
    color:white;
}
.AgentActionMenu {
    top:35px;
    left:50px;
    min-width: 90;
    background: #58524F;
    color:white;
    font-size:12px;
    cursor:pointer;
}
.AgentActionMenu:hover {
    background: #E8E4E2;
    color: black;
}
.AgentMenu {
    background: #E8E4E2;
    color: #58524F;
}
.AgentMenu:hover {
    background: #58524F;
    color: #E8E4E2;
    cursor: pointer;
}
.AgentActionIcon {
    opacity:0.3;
    position:absolute;
    font-size:12px;
    top:35px;
    left:50px;
    color:white;
}
.AgentActionIcon:hover{
    opacity:1;
    color:white;
}
.AgentActionIconCompact {
    opacity:0.3;
    position:absolute;
    font-size:12px;
    top:4px;
    left:50px;
    color:white;
}
.AgentActionIconCompact:hover{
    opacity:1;
    color:white;
}
.AgentBox {
    stroke: white;
    stroke-width: 1px;
    opacity: 1;;
    cursor: move;
}

.AgentGroupIcon {
    position:absolute;
    top:5px;
    left:150px;
    cursor: pointer;
}
.AgentGroupIcon:hover {
}

.AgentActionButton {
    cursor: pointer;
}

.AgentActionButton:hover {
    background: #6C7A89;
    color : #D2D7D3;
}

.AgentGroupBox {
    fill: #A9A29E;
    stroke: #58524F;
    stroke-width:1px;
    opacity: 1;
    cursor: move;
}
.AgentGroupBoxShadow {
    stroke-width: 2;
    fill: #704314;
    stroke: #522D06;
    stroke-width:1px;
    opacity: 0.3;
}
.AgentText {
    fill:white;
    text-anchor:middle;
    cursor: move;
}
.AgentGroupText {
    fill:white;
    text-anchor:middle;
    cursor: move;
}

.edit-agent-filter {
    min-width: 60px;
}

.edit-agent-filter .dropdown-menu .glyphicon {
    margin: 0 10px 0 -10px;
}

.dropdown-multiselect ul {
    overflow:auto !important;
    cursor: pointer;
}

/*
Ui slider
*/
.counterSlider {
    width: 240px;
    padding: 2px;
    border: 1px solid #CCC;
    margin: 2px;
}
.counterSlider > div {
    margin: 1em 0;
}

.table tbody>tr>td.sliderCounter{
    vertical-align: middle;
}

.slider-left {
    background-color: green;
}

.slider-right {
    background-color: red;
}
.ui-slider-range {
    position: absolute;
    background-color: orange;
    height: 100%;
}

.ui-slider-tip {
    position: absolute;
    top: -15px;
    left: -5px;
    width: 21px;
    text-align: center;
    font-size: 0.8em;
}

.table thead>tr>th.filter {
    vertical-align : middle;
    padding: 5px 0;
}

.no-penalty {
    background-color: grey;
}

.AgentSelectBox {
    text-align: center;
}

div.alert ul {
    margin: 5px 0 0 10px;
}

div.alert li {
    list-style-type: disc;
}
/*
thresholds
*/

.lowThreshold {
    background-color: green;
    fill: green;
    color: white;
}
.middleThreshold {
    background-color: orange;
    fill: orange;
    color: white;
}
.highThreshold {
    background-color: red;
    fill: red;
    color: white;
}

.button-bar {
    margin: 10px -15px;
}

#queue-selection .checkboxLayer {
    right:15px;
}

#queue-selection .multiSelect > button {
    min-height: 34px !important;
}

.callback-table tr td {
    white-space: nowrap;
}
.callback-table th {
    text-align: left;
}

.list-upload {
    margin-top:-8px;
}
.cc-list-name {
    font-weight: bold;
}

.helper-intro {
    position: absolute;
    z-index: 1001;
    background: #bbe;
    border: 1px solid #bbf;
    top: 46px;
    right: 3px;
    font-size: 16px;
    padding: 10px 18px 18px 18px;
    border-radius: 4px;
    box-shadow: blue 0px 0px 10px;
    color: #444;
    text-shadow: 2px 2px #aaa;
    font-weight: bold;
}

.helper-intro.menu {
    left: 3px;
    right: initial;
}


.helper-intro .fa {
    font-size:30px;
}

.helper-highlight {
    box-shadow: blue 0px 0px 10px;
    border-radius: 4px;
}

.helper-highlight.menu {
    height: 32px;
}

/* aside navbar and hamburger icon */
.menu-toggle{
    float: left;
    cursor: pointer;
    font-size: 2em;
}
.menu-padding{
    padding: 8px 5px;
}
.menu-toggle-label{
    font-size: 0.65em;
    position: relative;
    bottom: 8px;
    left: 5px;
}

.sidebar-action-buttons {
    width: 300px;
    position: relative;
    top: 0;
    left: 0;
    min-height: 50px;
    padding: 5px 0;
    font-size: 2em;
    line-height: 30px;
    color: #48525b;
    background-color: #eee;
    border-bottom: 1px solid #ddd;
}

.sidebar-action-buttons .glyphicon-menu-hamburger:hover,
.sidebar-action-buttons .pin-nav-btn:hover{
    color: #777;
}

.sidebar-action-buttons .pin-nav-btn {
    display: block;
    right: 0;
    font-size: 0.7em;
}
.sidebar-action-buttons .pin-nav-btn.rotate-90 {
   -webkit-transform: rotate(90deg);
   -moz-transform: rotate(90deg);
   transform: rotate(90deg);
}

.nav-header-btn {
    padding: 10px;
    transition-duration: .3s;
    position: absolute;
    top: 0;
    cursor: pointer;
}

.aside-content {
    transition: all 0.2s ease-in-out;
    -webkit-transition: all 0.2s ease-in-out;
}
.aside-content.sidenav-open {
    padding-left: 330px;
    transition: all 0.2s ease-in-out;
    -webkit-transition: all 0.2s ease-in-out;
}
.sidenav {
    width: 0;
    overflow: hidden;
    position: fixed;
    left: 0;
    top: 52px;
    bottom: 0;
    transition: all 0.2s ease-in-out;
    -webkit-transition: all 0.2s ease-in-out;
    box-shadow: 0 8px 17px rgba(0,0,0,.2);
    -webkit-box-shadow: 0 8px 17px rgba(0,0,0,.2);
    background: #fff;
    border-right: 1px solid #ddd;
}
.sidenav.open {
    width: 300px;
}
.sidenav.pinned {
    box-shadow: none;
    -webkit-box-shadow: none;
}
.sidenav .option {
    padding-left: 15px;
}

/* switch icons */
.switch input {
    display: none;
}
.switch i {
    display: inline-block;
    cursor: pointer;
    padding-right: 20px;
    transition: all ease 0.2s;
    -webkit-transition: all ease 0.2s;
    border-radius: 20px;
    box-shadow: inset 0 0 1px rgba(0,0,0,.5);
}
.switch i:before {
    display: block;
    content: '';
    width: 20px;
    height: 20px;
    border-radius: 20px;
    background: white;
    box-shadow: 0 1px 2px rgba(0,0,0,.5);
}
.switch :checked + i {
    padding-right: 0;
    padding-left: 20px;
    box-shadow: inset 0 1px 2px rgba(0,0,0,.6), inset 0 0 50px #ff5722;
    -webkit-box-shadow: inset 0 1px 2px rgba(0,0,0,.6), inset 0 0 50px #ff5722;
}
.switch :indeterminate + i {
    padding-right: 0;
    padding-left: 20px;
    box-shadow: inset 0 1px 2px rgba(0,0,0,.6), inset 0 0 50px #ddd;
    -webkit-box-shadow: inset 0 1px 2px rgba(0,0,0,.6), inset 0 0 50px #ddd;

    &:before {
      position: relative;
      right: 10px;
    }
}


/* flex layout table */
table.flex-layout {
    display: flex;
    flex-flow: column;
    height: 100%;
    width: 100%;
    padding-left: 15px;
}
table.flex-layout thead, table.flex-layout tfoot  {
    flex: 0 0 auto;
    width: calc(~'100% - 15px');
    display: table;
    table-layout: fixed;
}
table.flex-layout tbody {
    flex: 1 1 auto;
    display: block;
    overflow-y: scroll;
}
table.flex-layout tbody tr {
    display: table;
    width: 100%;
    table-layout: fixed;
    word-wrap: break-word;
}
/*Scroll bar nav*/
table.flex-layout ::-webkit-scrollbar {
    width: 15px;
}
table.flex-layout ::-webkit-scrollbar-track {
    background: #FFF;
}
table.flex-layout ::-webkit-scrollbar-thumb {
    background: rgba(204,204,204,0.8);
    border-left: 2px solid #FFF;
    border-right: 2px solid #FFF;
}
table.flex-layout ::-webkit-scrollbar-thumb:hover {
    background: rgba(204,204,204,1.0);
}
table.flex-layout ::-webkit-scrollbar-thumb:window-inactive {
    background: rgba(204,204,204,0.4);
}

/* callback clock */
.clock{
  padding-right: 5px;
  top: 2px;
}

.clock.state-now {
  color: green;
}

.clock.state-overdue {
  color: red;
}

.clock.state-later {
  color: #5599ff;
}

.colDefaultMembership {
    text-align: center;
}


.checkbox input[type=checkbox]:focus + label::before {
  outline: none;
}


.retry-auto-login {
  text-align: center;
  font-size: 12px;
}

.retry-auto-login a {
  color: #ff5722;
}

.alert-recording {
  margin: 20px 20px 10px 20px;
}

.recording-icon {
  float: left;
  position: relative;
  top: 2px;
  right: 5px;

  &.active {
    color: #cd4747;
  }

  &.inactive {
    color: grey;
  }
}

.panel-default>.panel-heading .badge {
  background-color: #777;
}

.panel-info>.panel-heading .badge {
  color: #f5f5f5;
}

.count-badge {
  margin-left: 5px;
  position: relative;
  bottom: 1px;
}

.modal-header {
    border-bottom: none;
    padding-bottom: 0px;

    .modal-queue-title {
    text-align: center;
    }
}

.modal-queue-body {
    height: 175px;

    .modal-info-top {
      margin-top: 7px;
    } 

    .modal-table {
        border: solid white;
    }
}
  
  .circle-dissuasion {
      display: none;
  }

.nav-tabs>li.active>a, .nav-tabs>li.active>a:hover, .nav-tabs>li.active>a:focus {
  background-color: #f9f9f9;
  border: 1px solid #ccc;
  border-bottom-color: transparent;
}

.nav-tabs {
    border-bottom: 1px solid #ccc;
    }
    
.table-agent-view > tbody >tr:last-child {
    
    .agent-dropdown.open {
            margin-bottom: 75px;    
    } 
}

.table-agent-view > tbody >tr:nth-last-child(2) {
    
    .agent-dropdown.open {
            margin-bottom: 40px;    
    } 
}

.buttons-modal-agent {
    text-align: center;
    width: 22%;
    float: right;
    margin-right: 6px;
    margin-bottom: 10px;
  }